Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.mycarenet.memberdatav2.service.impl
Class MemberDataServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.mycarenet.memberdatav2.service.impl.MemberDataServiceImpl

All Implemented Interfaces:
  MemberDataService, ConfigurationModuleBootstrap.ModuleBootstrapHook

    public class MemberDataServiceImpl

extends Object
implements MemberDataService, ConfigurationModuleBootstrap.ModuleBootstrapHook

Implementation for the `MemberDataService` interface.

Constructor Summary
`MemberDataServiceImpl()` default constructor , needed for ModuleBootstrapHook.
`MemberDataServiceImpl(SessionValidator sessionValidator)` Creates a new `MemberDataServiceImpl`
`MemberDataServiceImpl(SessionValidator sessionValidator, String endpoint)` Creates a new `MemberDataServiceImpl`

Method Summary
`void` | `bootstrap()`
`MemberDataConsultationResponse` | `consultMemberData(SAMLToken token, MemberDataConsultationRequest request)` Sends the consultation request to the WS and retrieves the response.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemberDataServiceImpl

    public MemberDataServiceImpl(SessionValidator sessionValidator)

  Creates a new `MemberDataServiceImpl`

  Parameters:
    `sessionValidator` - the SessionValidator object

### MemberDataServiceImpl

    public MemberDataServiceImpl(SessionValidator sessionValidator,
                                 String endpoint)

  Creates a new `MemberDataServiceImpl`

  Parameters:
    `sessionValidator` - the SessionValidator object
    `endpoint` - the string representation of the endpoint

### MemberDataServiceImpl

    public MemberDataServiceImpl()

  default constructor , needed for ModuleBootstrapHook.

Method Detail

### consultMemberData

    public final MemberDataConsultationResponse consultMemberData(SAMLToken token,
                                                                  MemberDataConsultationRequest request)
                                                           throws TechnicalConnectorException

  Description copied from interface: `MemberDataService`
  Sends the consultation request to the WS and retrieves the response. It only needs the SamlToken, no session needs to be active.

  Specified by:
    `consultMemberData` in interface `MemberDataService`
  Parameters:
    `token` - the valid SAML token
    `request` - the request to send
  Returns:
    MemberDataConsultationRequest the WS response
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.